help-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: Build emacs on debian


From: Glyn Millington
Subject: Re: Build emacs on debian
Date: Sun, 06 Apr 2014 22:24:32 +0100
User-agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3 (gnu/linux)

Harry Putnam <address@hidden> writes:

> Running debian (jesse/testing)
>
> I've built emacs for yrs but have not done so for a good while now.
>
> I'm running into errors I've hit before and recognize but do not
> recall which pkgs were necessary to make configure work.
>
> There must have been some devel pkgs removed in the interm.
>
> My ./configure cmd
>
>   ./configure --with-xft --with-x-toolkit=lucid
>                 --prefix=/usr/local/src/vcs/bzr/test  
>
> A few lines of output containing the error below:
>
>   [...]
>   checking for long file names... yes
>   checking for X... no
>   checking for X... true
>   configure: error: You seem to be running X, but no X development libraries
>   were found.  You should install the relevant development files for X
>   and for the toolkit you want, such as Gtk+ or Motif.  Also make
>   sure you have development files for image handling, i.e.
>   tiff, gif, jpeg, png and xpm.
>
> [...]
>
> Any debian people here who know what I'm missing?

Haven't been a debian person for years but I think what you want is 

#apt-get build-dep emacs


That should pull down and build the dependencies for emacs.


atb



Glyn




reply via email to

[Prev in Thread] Current Thread [Next in Thread]